{ config, lib, pkgs, ... }:

let
  mkHost = (import ../modules { lib = lib; pkgs = pkgs; }).mkHost;
in mkHost config {
  userName = "alexander";
  hostName = "mashu";
  overlays = [ "nur" "unstable" "simple" "custom" ];
  hardwareImports = [
    "intel"
    #"surface-pro6"
  ];
  programImports = [
    "zsh" "git" "mpv" "tmux" "firefox" "gnome-terminal" "gnome" "i18n"
  ];
  fileSystems = {
    "/" = {
      device = "/dev/nvme0n1p1";
      fsType = "btrfs";
    };
    "/boot" = {
      device = "/dev/nvme0n1p3";
      fsType = "vfat";
    }
  };
  swapDevices = [
    # TODO
  ];
  extraOptions = old: {
    hardware.video.hidpi.enable = true;
    boot = {
      extraModprobeConfig = ''
        options kvm_amd nested=1
        options vfio-pci ids=1002:67df,1002:aaf0
      '';
      initrd = {
        availableKernelModules = [ "xhci_pci" "nvme" "usbhid" ];
        kernelModules = [ "kvm-intel" ];
      };
    };
  };
}
